﻿/*
 * Created by SharpDevelop.
 * User: phil
 * Date: 2011.01.03.
 * Time: 15:49
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;
using System.Collections.Generic;
//
using TetheredSun.Mathematics;

namespace TetheredSun.Medical
{
	/// <summary>
	/// Description of Instability.
	/// </summary>
	public class Instability : SequenceParameter
	{
		public Instability(string unit)
		{
			this.unit = unit;
			this.name = "Instability";
			this.value = Double.NaN;
		}
		
		public Instability() : this("s") { }
		
		public override double Evaluate(IList<double> intervals)
		{
			value = intervals.Quantile(0.75) - intervals.Quantile(0.25);
			return value;
		}
		
	}
}
